Bug 174942 - mkdiskless creates wrong syslog.conf for diskless clients
Summary: mkdiskless creates wrong syslog.conf for diskless clients
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-netboot   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Olive Leite
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-04 17:47 UTC by Oleg Drokin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 02:18:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix to mkdiskless (454 bytes, patch)
2005-12-04 17:47 UTC, Oleg Drokin
no flags Details | Diff

Description Oleg Drokin 2005-12-04 17:47:33 UTC
Description of problem:

mkdiskless script creates wrong syslog.conf file that makes syslog to complain
during boot similar to this message:

Starting system logger:   syslogd: unknown priority name "linuxhacker.ru"
[  OK  ]

The problem lies in fact that syslog expects priority to be in form of
facility.priority and '*' in that field is just not enough. '*.*' is expected.

Comment 1 Oleg Drokin 2005-12-04 17:47:33 UTC
Created attachment 121817 [details]
Proposed fix to mkdiskless

Comment 2 Jason Vas Dias 2005-12-05 18:58:57 UTC
Thanks - patch applied in system-config-netboot-0.1.34+ .


Comment 3 Fedora Update System 2005-12-20 03:03:08 UTC
From User-Agent: XML-RPC

system-config-netboot-0.1.34-1_FC3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Fedora Update System 2005-12-20 03:03:51 UTC
From User-Agent: XML-RPC

system-config-netboot-0.1.34-1_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 5 Bill Nottingham 2006-09-22 02:18:53 UTC
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.


Note You need to log in before you can comment on or make changes to this bug.